import { LitElement } from 'lit';
export declare const ICON_MODX = "icon-modx";
export declare class IconModxComponent extends LitElement {
    static readonly defaultTagName = "icon-modx";
    static styles: any;
    size?: string;
    scheme?: string;
    private rootClassesParts;
    willUpdate(): void;
    protected render(): any;
}
